#ifndef _LINUX_CRASHDUMPCAPTURE_H_
#define _LINUX_CRASHDUMPCAPTURE_H_

/*
 * Linux_OSCrashDumpCapture.h
 *
 * (C) Copyright IBM Corp. 2009
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author:       Sachin Sant <sachinp@in.ibm.com>
 *
 * Description:
 * This file defines the interfaces for generating Crash Dump Capture
 * events.
 *
*/

#ifdef __cplusplus
extern "C" {
#endif

struct oscrashdumpcapture_data {
	unsigned long long dumpFileSize;
	char *dumpFileLocation;
	char *dumpFileName;
	char *dumpCaptureDateTime;
};

int get_Linux_CrashDumpCapture_data( struct oscrashdumpcapture_data ** );
void free_Linux_CrashDumpCapture_data( struct oscrashdumpcapture_data * );

#ifdef __cplusplus
  }
#endif

#endif
